Index: /trunk/SophyaExt/XAstroPack/Makefile
===================================================================
--- /trunk/SophyaExt/XAstroPack/Makefile	(revision 3404)
+++ /trunk/SophyaExt/XAstroPack/Makefile	(revision 3405)
@@ -11,6 +11,6 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libextsophya.objlist
  
-$(SOPHYAOBJP)mollweide.o: mollweide.cc \
-  $(SOPHYAINCP)sopnamsp.h mollweide.h
+$(SOPHYAOBJP)mollweide.o: mollweide.cc $(SOPHYAINCP)sopnamsp.h \
+  mollweide.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mollweide.cc
  
Index: /trunk/SophyaExt/XAstroPack/smakefile
===================================================================
--- /trunk/SophyaExt/XAstroPack/smakefile	(revision 3404)
+++ /trunk/SophyaExt/XAstroPack/smakefile	(revision 3405)
@@ -11,6 +11,6 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libextsophya.objlist
  
-$(SOPHYAOBJP)mollweide.o: mollweide.cc \
-  $(SOPHYAINCP)sopnamsp.h mollweide.h
+$(SOPHYAOBJP)mollweide.o: mollweide.cc $(SOPHYAINCP)sopnamsp.h \
+  mollweide.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mollweide.cc
  
Index: /trunk/SophyaLib/SUtils/Makefile
===================================================================
--- /trunk/SophyaLib/SUtils/Makefile	(revision 3404)
+++ /trunk/SophyaLib/SUtils/Makefile	(revision 3405)
@@ -11,6 +11,5 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)datacards.o: datacards.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)datacards.o: datacards.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h datacards.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -18,6 +17,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacards.cc
  
-$(SOPHYAOBJP)strutilxx.o: strutilxx.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)strutilxx.o: strutilxx.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h strutilxx.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  strutilxx.cc
Index: /trunk/SophyaLib/SUtils/smakefile
===================================================================
--- /trunk/SophyaLib/SUtils/smakefile	(revision 3404)
+++ /trunk/SophyaLib/SUtils/smakefile	(revision 3405)
@@ -11,6 +11,5 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)datacards.o: datacards.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)datacards.o: datacards.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h datacards.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -18,6 +17,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacards.cc
  
-$(SOPHYAOBJP)strutilxx.o: strutilxx.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)strutilxx.o: strutilxx.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h strutilxx.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  strutilxx.cc
Index: /trunk/SophyaLib/Samba/Makefile
===================================================================
--- /trunk/SophyaLib/Samba/Makefile	(revision 3404)
+++ /trunk/SophyaLib/Samba/Makefile	(revision 3405)
@@ -11,6 +11,5 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)alm.o: alm.cc \
-  $(SOPHYAINCP)sopnamsp.h alm.h \
+$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h \
@@ -39,6 +38,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  alm.cc
  
-$(SOPHYAOBJP)bruit.o: bruit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)srandgen.h \
@@ -46,54 +44,54 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
-$(SOPHYAOBJP)circle.o: circle.cc \
-  $(SOPHYAINCP)sopnamsp.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
+$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
+  circle.h $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  circle.cc
  
 $(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datacirclefake.h datacirclebase.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
+  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
+  datacirclebase.h circle.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefake.cc
  
-$(SOPHYAOBJP)harmspher.o: harmspher.cc \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)harmspher.o: harmspher.cc $(SOPHYAINCP)machdefs.h \
   harmspher.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  harmspher.cc
  
 $(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  lambdaBuilder.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  alm.h $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h alm.h \
+  $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)smathconst.h \
@@ -102,6 +100,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lambdaBuilder.cc
  
-$(SOPHYAOBJP)mlobe.o: mlobe.cc \
-  $(SOPHYAINCP)sopnamsp.h mlobe.h \
+$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h mlobe.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -133,11 +130,10 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mlobe.cc
  
-$(SOPHYAOBJP)sambainit.o: sambainit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  sambainit.h \
-  $(SOPHYAINCP)skymapinit.h \
+$(SOPHYAOBJP)sambainit.o: sambainit.cc $(SOPHYAINCP)sopnamsp.h \
+  sambainit.h $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)machdefs.h \
@@ -146,13 +142,14 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sambainit.cc
  
-$(SOPHYAOBJP)scan.o: scan.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h scan.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -162,4 +159,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)smathconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scan.cc
@@ -171,4 +169,5 @@
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
@@ -198,9 +197,11 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)fftpserver.h alm.h \
+  $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)fftservintf.h alm.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
-  lambdaBuilder.h \
+  $(SOPHYAINCP)tvector.h lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphericaltransformserver.cc
Index: /trunk/SophyaLib/Samba/smakefile
===================================================================
--- /trunk/SophyaLib/Samba/smakefile	(revision 3404)
+++ /trunk/SophyaLib/Samba/smakefile	(revision 3405)
@@ -11,6 +11,5 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)alm.o: alm.cc \
-  $(SOPHYAINCP)sopnamsp.h alm.h \
+$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h \
@@ -39,6 +38,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  alm.cc
  
-$(SOPHYAOBJP)bruit.o: bruit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)srandgen.h \
@@ -46,54 +44,54 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
-$(SOPHYAOBJP)circle.o: circle.cc \
-  $(SOPHYAINCP)sopnamsp.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
+$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
+  circle.h $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  circle.cc
  
 $(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datacirclefake.h datacirclebase.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
+  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
+  datacirclebase.h circle.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefake.cc
  
-$(SOPHYAOBJP)harmspher.o: harmspher.cc \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)harmspher.o: harmspher.cc $(SOPHYAINCP)machdefs.h \
   harmspher.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  harmspher.cc
  
 $(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  lambdaBuilder.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  alm.h $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h alm.h \
+  $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)smathconst.h \
@@ -102,6 +100,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lambdaBuilder.cc
  
-$(SOPHYAOBJP)mlobe.o: mlobe.cc \
-  $(SOPHYAINCP)sopnamsp.h mlobe.h \
+$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h mlobe.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -133,11 +130,10 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mlobe.cc
  
-$(SOPHYAOBJP)sambainit.o: sambainit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  sambainit.h \
-  $(SOPHYAINCP)skymapinit.h \
+$(SOPHYAOBJP)sambainit.o: sambainit.cc $(SOPHYAINCP)sopnamsp.h \
+  sambainit.h $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)machdefs.h \
@@ -146,13 +142,14 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sambainit.cc
  
-$(SOPHYAOBJP)scan.o: scan.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h scan.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -162,4 +159,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)smathconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scan.cc
@@ -171,4 +169,5 @@
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
@@ -198,9 +197,11 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)fftpserver.h alm.h \
+  $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)fftservintf.h alm.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
-  lambdaBuilder.h \
+  $(SOPHYAINCP)tvector.h lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphericaltransformserver.cc
Index: /trunk/SophyaLib/SkyMap/Makefile
===================================================================
--- /trunk/SophyaLib/SkyMap/Makefile	(revision 3404)
+++ /trunk/SophyaLib/SkyMap/Makefile	(revision 3405)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
+	 rm -f $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
 	rm -f $(SOPHYALIBP)libSkyMap.a
  
@@ -11,4 +11,31 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
+$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
+  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  HEALPixUtils.cc
+ 
 $(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
   $(SOPHYAINCP)sopnamsp.h fiolocalmap.h \
@@ -27,7 +54,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -64,7 +90,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -99,7 +124,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -118,23 +142,21 @@
  
 $(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiospherethetaphi.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)sopnamsp.h fiospherethetaphi.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -152,49 +174,20 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherethetaphi.cc
  
-$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
-  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  HEALPixUtils.cc
- 
-$(SOPHYAOBJP)localmap.o: localmap.cc \
-  $(SOPHYAINCP)sopnamsp.h localmap.h \
-  pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)localmap.o: localmap.cc $(SOPHYAINCP)sopnamsp.h \
+  localmap.h pixelmap.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -213,7 +206,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  localmap.cc
  
-$(SOPHYAOBJP)longlat.o: longlat.cc \
-  $(SOPHYAINCP)sopnamsp.h longlat.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
+$(SOPHYAOBJP)longlat.o: longlat.cc $(SOPHYAINCP)sopnamsp.h \
+  longlat.h $(SOPHYAINCP)machdefs.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  longlat.cc
  
@@ -270,28 +262,27 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h \
-  fiospherehealpix.h spherehealpix.h HEALPixUtils.h fiospherethetaphi.h \
-  fiolocalmap.h localmap.h fiosphereecp.h sphereecp.h
+  $(SOPHYAINCP)ndatablock.h fiospherehealpix.h \
+  spherehealpix.h HEALPixUtils.h fiospherethetaphi.h fiolocalmap.h \
+  localmap.h fiosphereecp.h sphereecp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymapinit.cc
  
-$(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h sphereecp.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)sphereecp.o: sphereecp.cc $(SOPHYAINCP)sopnamsp.h \
+  sphereecp.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -342,17 +333,15 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherehealpix.cc
  
-$(SOPHYAOBJP)spherepos.o: spherepos.cc \
-  $(SOPHYAINCP)sopnamsp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)spherepos.o: spherepos.cc $(SOPHYAINCP)sopnamsp.h \
+  spherepos.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherepos.cc
@@ -374,7 +363,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -392,20 +380,17 @@
  
 $(SOPHYAOBJP)unitvector.o: unitvector.cc \
-  $(SOPHYAINCP)sopnamsp.h unitvector.h \
-  vector3d.h longlat.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
+  $(SOPHYAINCP)sopnamsp.h unitvector.h vector3d.h \
+  longlat.h $(SOPHYAINCP)machdefs.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  unitvector.cc
  
-$(SOPHYAOBJP)utilgeom.o: utilgeom.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)utilgeom.o: utilgeom.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilgeom.cc
  
-$(SOPHYAOBJP)vector3d.o: vector3d.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h vector3d.h \
-  longlat.h utilgeom.h
+$(SOPHYAOBJP)vector3d.o: vector3d.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h vector3d.h longlat.h \
+  utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  vector3d.cc
  
